| Version: 3.2.5

Classes | Enumerations | Variables
fdrepdlg.h File Reference

## Classes

class | wxFindDialogEvent
| wxFindReplaceDialog events. More...
class | wxFindReplaceData
| wxFindReplaceData holds the data for wxFindReplaceDialog. More...
class | wxFindReplaceDialog
| wxFindReplaceDialog is a standard modeless dialog which is used to allow the user to search for some text (and possibly replace it with something else). More...

## Enumerations

enum | wxFindReplaceFlags { wxFR_DOWN = 1 , wxFR_WHOLEWORD = 2 , wxFR_MATCHCASE = 4 }
| See wxFindDialogEvent::GetFlags(). More...
enum | wxFindReplaceDialogStyles { wxFR_REPLACEDIALOG = 1 , wxFR_NOUPDOWN = 2 , wxFR_NOMATCHCASE = 4 , wxFR_NOWHOLEWORD = 8 }
| These flags can be specified in wxFindReplaceDialog ctor or Create(): More...

## Variables

wxEventType | wxEVT_FIND
wxEventType | wxEVT_FIND_NEXT
wxEventType | wxEVT_FIND_REPLACE
wxEventType | wxEVT_FIND_REPLACE_ALL
wxEventType | wxEVT_FIND_CLOSE

## Enumeration Type Documentation

## ◆ wxFindReplaceDialogStyles

enum wxFindReplaceDialogStyles

These flags can be specified in wxFindReplaceDialog ctor or Create():

Enumerator
wxFR_REPLACEDIALOG | replace dialog (otherwise find dialog)
wxFR_NOUPDOWN | don't allow changing the search direction
wxFR_NOMATCHCASE | don't allow case sensitive searching
wxFR_NOWHOLEWORD | don't allow whole word searching

## ◆ wxFindReplaceFlags

enum wxFindReplaceFlags

See wxFindDialogEvent::GetFlags().

Enumerator
wxFR_DOWN | downward search/replace selected (otherwise - upwards)
wxFR_WHOLEWORD | whole word search/replace selected
wxFR_MATCHCASE | case sensitive search/replace selected (otherwise - case insensitive)

## Variable Documentation

## ◆ wxEVT_FIND

wxEventType wxEVT_FIND

## ◆ wxEVT_FIND_CLOSE

wxEventType wxEVT_FIND_CLOSE

## ◆ wxEVT_FIND_NEXT

wxEventType wxEVT_FIND_NEXT

## ◆ wxEVT_FIND_REPLACE

wxEventType wxEVT_FIND_REPLACE

## ◆ wxEVT_FIND_REPLACE_ALL

wxEventType wxEVT_FIND_REPLACE_ALL